.panel.panel-default{"ng-controller" => "CroppingPaternCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Cropping Pattern
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th Survey Number
            %th Area in Acre(s)
            %th Crops
            %th Intercrops
            %th Season
      
        %tbody
          %tr{ "ng-repeat" => "croping_patern in data_list "}
            %td {{ croping_patern.survey_number.number }}
            %td {{ croping_patern.total_land}}
            %td {{ croping_patern.crop.title }}
            %td {{ croping_patern.intercrop.title }}
            %td {{ croping_patern.season }}
            %td
              %a{ "ng-click" => "edit(croping_patern.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(croping_patern.id, croping_patern.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr#form_croping_patern
            %td
              %select{"ng-model" => "vm.survey_number", "ng-options" => "survey_number.number for survey_number in survey_numbers track by survey_number.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = number_field :total_land, '', :class => "form-control", "ng-model" => "vm.total_land"
            %td
              %select{"ng-model" => "vm.crop", "ng-options" => "crop.title for crop in crops track by crop.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              %select{"ng-model" => "vm.intercrop", "ng-options" => "intercrop.title for intercrop in intercrops track by intercrop.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = select_tag :season, options_for_select(["Kharif","Rabi","Summer"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.season"
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"} 

